# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDiskFreeSp Class Reference

This class parses the output of "df" to find the disk usage information for a given partition (mount point). More...

`#include <kdiskfreesp.h>`

Inheritance diagram for KDiskFreeSp:

[legend]
Collaboration diagram for KDiskFreeSp:

[legend]
List of all members.

## Signals

void | foundMountPoint (const QString &mountPoint, unsigned long kBSize, unsigned long kBUsed, unsigned long kBAvail)
void | foundMountPoint (const unsigned long &, const unsigned long &, const unsigned long &, const QString &)
void | done ()

## Public Member Functions

| KDiskFreeSp (QObject *parent=0, const char *name=0)
| ~KDiskFreeSp ()
int | readDF (const QString &mountPoint)

## Static Public Member Functions

static KDiskFreeSp * | findUsageInfo (const QString &path)

## Detailed Description

This class parses the output of "df" to find the disk usage information for a given partition (mount point).

Definition at line 40 of file kdiskfreesp.h.

## Constructor & Destructor Documentation

KDiskFreeSp::~KDiskFreeSp | ( |  | ) |

| Destructor - this object autodeletes itself when it's done. Definition at line 63 of file kdiskfreesp.cpp.

## Member Function Documentation

int KDiskFreeSp::readDF | ( | const QString & | mountPoint | ) |

Call this to fire a search on the disk usage information for `mountPoint`.

foundMountPoint will be emitted if this mount point is found, with the info requested. done is emitted in any case.

Definition at line 80 of file kdiskfreesp.cpp.

References KProcess::clearArguments(), endl(), QString::fromLocal8Bit(), KProcess::isRunning(), kdError(), and KProcess::start().

Referenced by findUsageInfo(), and KFilePropsPlugin::KFilePropsPlugin().

KDiskFreeSp * KDiskFreeSp::findUsageInfo | ( | const QString & | path | ) | `[static]`

| Call this to fire a search on the disk usage information for the mount point containing `path`. foundMountPoint will be emitted if this mount point is found, with the info requested. done is emitted in any case. Definition at line 163 of file kdiskfreesp.cpp. References KIO::findPathMountPoint(), and readDF().

The documentation for this class was generated from the following files:

- kdiskfreesp.h
- kdiskfreesp.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:32 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003